### Method

# FwupdPlugin CoswidFirmware get_product

since: 2.0.12

#### Declaration [src]

    const gchar*
    fu_coswid_firmware_get_product (
      FuCoswidFirmware* self
    )

#### Description [src]

Gets the product name.

Available since: 2.0.12

#### Return value

Type: `const gchar*`

String, or `NULL` for unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.